using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 外部联系对象清单
    /// </summary>
    [Description("外部联系对象清单")]
    public class T_OG_EXTERNAL_CONTACT_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(200)] 
        public string NAME { get; set; }

        /// <summary>
        /// 单位地址
        /// </summary>
        [Description("单位地址")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string ADDRESS { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        [Description("联系人")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(50)] 
        public string PERSON { get; set; }

        /// <summary>
        /// 联系电话
        /// </summary>
        [Description("联系电话")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(50)] 
        public string PHONE { get; set; }

        /// <summary>
        /// 主要联系事项
        /// </summary>
        [Description("主要联系事项")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string CONTACT_MATTER { get; set; }
    }
}
